Uploaded image for project: 'Sling'
  1. Sling
  2. SLING-8511

Make testing compliant with Java 9 and higher

    XMLWordPrintableJSON

    Details

      Description

      • Set sling.java.version to 8
      • Use Sling Bundle Parent 35
      • Update Pax Exam to 4.13.1
      • Update Testing PaxExam to 3.0.0
      • Update Felix Framework to 6.0.3
      • Use scr Option
      • Remove duplicated JUnit dependency

        Attachments

          Activity

            People

            • Assignee:
              olli Oliver Lietz
              Reporter:
              olli Oliver Lietz
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: